Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Textinhalte durchs picken in Attribut übertragen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Textinhalte durchs picken in Attribut übertragen (694 mal gelesen)
hallo_ch
Mitglied
Hochbautechniker

Sehen Sie sich das Profil von hallo_ch an!   Senden Sie eine Private Message an hallo_ch  Schreiben Sie einen Gästebucheintrag für hallo_ch

Beiträge: 4
Registriert: 02.12.2004

AutoCAD 3.3 (Architectural Desktop)

erstellt am: 02. Dez. 2004 12:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

hab folgendes Problem
Die Raumbeschriftungen der Projektpläne hat mit einfachen
Texten erfolgt.... Nun  müssen die Pläne mit Raumstempeln,
welche aus edditierbaren Attributen bestehen ersetzt werden.
Gibt es ein Lisp oder Tool mit welchem es möglich ist
einzelne Textinhalte zu picken und anschliessend diese durchs
Picken in den gewünschten Attribut an der gewünschten Stelle
einzusetzen?

Danke an alle die sich meinem Problem anvertrauen


gruss
hallo_ch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2012

erstellt am: 02. Dez. 2004 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hallo_ch 10 Unities + Antwort hilfreich

Hier :

gibt es das

oder so:
;;TXT2ATTDEF.LSP  TEXT TO ATTRIBUTES            

(defun
   C:TXT2ATTDEF ()
  (setq PCMDECHO (getvar "CMDECHO"))
  (setvar "CMDECHO" 0)
  (setq TXT1 (entget (car (entsel "\nwähle Text : "))))
  (setq IFTXT (cdr (assoc 0 TXT1)))
  (while (/= IFTXT "TEXT")
    (setq
      TXT1
       (entget
         (car
           (entsel
             (strcat
               "\nSelection Error !! You selected "
               IFTXT
               "! \nPlease Select Text : "
             ) ;_ end of strcat
           ) ;_ end of entsel
         ) ;_ end of car
       ) ;_ end of entget
    ) ;_ end of setq
    (setq IFTXT (cdr (assoc 0 TXT1)))
  ) ;_ end of while
  (setq TXT1VAL (cdr (assoc 1 TXT1)))
  (setq TXT1IP (cdr (assoc 10 TXT1)))
  (setq TXT1HT (cdr (assoc 40 TXT1)))
  (setq TXT1ROT (cdr (assoc 50 TXT1)))
  (setq APRMPT (getstring T "\nAttribute -Eingabewert- : "))
  (entdel (cdar TXT1))
  (setq PAFLAGS (getvar "AFLAGS"))
  (setvar "AFLAGS" 0)
  (command
    "attdef"
    ""
    TXT1VAL
    APRMPT
    TXT1VAL
    TXT1IP
    TXT1HT
    (/ (* TXT1ROT 180) (/ 22.0 7.0))
  ) ;_ end of command
  (setvar "AFLAGS" PAFLAGS)
  (setvar "CMDECHO" PCMDECHO)
  (princ)
) ;defun txt2attdef

;;End Of Routine

Beim Benutzen MUSS das UCS auf Welt stehen, da sonst die Attribute im Nirvana verschwinden. :-)

[Diese Nachricht wurde von AsSchu am 02. Dez. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 02. Dez. 2004 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hallo_ch 10 Unities + Antwort hilfreich

Hallo hallo_ch,

Herzlich Willkommen!
nachfolgende Lispzeilen erledigen das. Allerdings ist kein Fehlerabfang integriert, so dass bei fehlerhafter Eingabe oder Auswahl, das Tool einen Fehler meldet.

Code:

(defun c:Txt2BenAttrib (/ ZIELATTRIBBEZ txtObj raumObj)
  (setq ZIELATTRIBBEZ "RAUMNAME");HIER den Namen des ZIEL-Attributes einsetzen
  (princ"\nTextobjekt wählen")
  (setq txtObj (car(entsel)))
  (princ"\nRaumBlock wählen")
  (setq raumObj (car(entsel)))
  (if (and txtObj raumObj)
    (progn
      (setAttrib raumObj ZIELATTRIBBEZ (cdr(assoc 1 (entget txtObj))))
      )
    )
  (princ)
  )
(defun setAttrib (BLK ATTBEZ VALUE / atts)
  (setq atts(vlax-invoke-method (setq vlB(vlax-ename->vla-object BLK)) 'GETATTRIBUTES))
  (if (and
        (= :vlax-true(vlax-get-property vlB 'HasAttributes))
        (vlax-safearray-get-l-bound (vlax-variant-value atts)(vlax-safearray-get-dim(vlax-variant-value atts)))
        )
    (mapcar '(lambda (A)
               (if (=(strcase(vlax-get-property A 'TAGSTRING)) (strcase ATTBEZ))
                 (vlax-put-property A 'TEXTSTRING VALUE)
                 )
               )
             (vlax-safearray->list(vlax-variant-value atts))
            )
    )
  )


Wie du das anwenden kannst, lies bitte hier nach.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!                          Autodesk User Group Central Europe
AutoLISP-Programmierung für AutoCAD              AUGCE Manager Deutschland
Da weiß man, wann man's hat!
                      

[Diese Nachricht wurde von Brischke am 02. Dez. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hallo_ch
Mitglied
Hochbautechniker

Sehen Sie sich das Profil von hallo_ch an!   Senden Sie eine Private Message an hallo_ch  Schreiben Sie einen Gästebucheintrag für hallo_ch

Beiträge: 4
Registriert: 02.12.2004

AutoCAD 3.3 (Architectural Desktop)

erstellt am: 02. Dez. 2004 12:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

...also... diese lisp erstellt aus einem Text ein Attribut..
...ich brauche etwas anderes und zwar soll
ein textwert durchs anpicken heraus gelesen werden und beim
Anpicken des Attributblocks (vordefiniert), und zwar des
gewünschten Attributwerts den bestehenden Attributwert
ersetzen... so dass ich eben diesen Wert nicht manuell
in den Attribut abschreiben muss... der jetzige Raumstempel
besteht nur aus einfachen Texten. Neuer Raumstempel (edditierbarer
Attributblock) muss eben noch erstellt werden.

ich bin nicht gerade gut im erklären, hoffe es ist irgendwie
rüber gekommen

danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Raquel
Mitglied



Sehen Sie sich das Profil von Raquel an!   Senden Sie eine Private Message an Raquel  Schreiben Sie einen Gästebucheintrag für Raquel

Beiträge: 50
Registriert: 15.09.2004

Autodesk Map 3D 2005

erstellt am: 02. Dez. 2004 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hallo_ch 10 Unities + Antwort hilfreich

danke, für diese lisp, aber nach dem umwandeln, wird dann alles groß geschrieben, kann man es auch so schreiben, dass der text so bleibt wie er ist?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2012

erstellt am: 02. Dez. 2004 14:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hallo_ch 10 Unities + Antwort hilfreich

Hallo,

wieso lisp, das geht doch auch mit copy and paste

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hallo_ch
Mitglied
Hochbautechniker

Sehen Sie sich das Profil von hallo_ch an!   Senden Sie eine Private Message an hallo_ch  Schreiben Sie einen Gästebucheintrag für hallo_ch

Beiträge: 4
Registriert: 02.12.2004

AutoCAD 3.3 (Architectural Desktop)

erstellt am: 02. Dez. 2004 14:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

...copy paste ist arbeit, das andere wäre zeitersparnis 
danke nochmals...

..also tue ich das wofür ich bezahlt werde 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

benwisch
Mitglied
Bautechniker, CAD-Konstrukteur


Sehen Sie sich das Profil von benwisch an!   Senden Sie eine Private Message an benwisch  Schreiben Sie einen Gästebucheintrag für benwisch

Beiträge: 375
Registriert: 01.02.2001

erstellt am: 02. Dez. 2004 15:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hallo_ch 10 Unities + Antwort hilfreich


pick2pick.lsp.txt

 
Zitat:

ein textwert durchs anpicken heraus gelesen werden
[..]
bestehenden Attributwert ersetzen... so dass ich eben diesen Wert nicht manuell in den Attribut abschreiben muss


Du bist also genauso faul wie ich  , mußte nämlich so was auch schon mal machen und da habe ich mir ein kleines Helferlein geschrieben..
Ich pack's mal zusammen und häng's an (Wie du das anwenden kannst, lies bitte hier nach.)
Aufruf mit pick2pick (mir ist nix besseres eingefallen   )

Vorgehensweise...
Text picken
Attributreferenz picken
Textinhalt wird auf die Attributreferenz automatisch übertragen

Achtung!
Läuft in einer Endlosschleife, um das Programm zu verlassen, mußt du es abbrechen...hatte keine Lust, das umzuprogrammieren.
Auf eine Fehlerabfangung habe ich auch verzichtet...
Ach ja, dem Programm ist es egal, ob es sich beim Quellobjekt um ein Text, Mtext oder eine Attributreferenz handelt.

------------------
http://www.benwisch.de

[Diese Nachricht wurde von benwisch am 27. Jan. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hallo_ch
Mitglied
Hochbautechniker

Sehen Sie sich das Profil von hallo_ch an!   Senden Sie eine Private Message an hallo_ch  Schreiben Sie einen Gästebucheintrag für hallo_ch

Beiträge: 4
Registriert: 02.12.2004

AutoCAD 3.3 (Architectural Desktop)

erstellt am: 02. Dez. 2004 15:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


du bist ein KéNIG...
...den ganzen tag drücke ich die blöden ctrl+c und ctrl+v...
...erst ein geschoss durch....

...jetz kommt die Erlösung....dein LISP ist auf meine bedürfnisse
zugeschnitten... jetzt macht das geld verdienen wieder spas

gruss
hallo_ch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz